echo off
cls
rem makedisk batch for Microsoft files.
rem created 5/6/98
rem minimum requirements DOS 6.22 or NT 3.51 or Window95 or newer

rem Check that source (%1) and destination (%2) are supplied
if "%1" == "" goto USAGE
if "%2" == "" goto USAGE

rem Echo what we are about to do
echo This batch file will copy the Microsoft files from %1 to %2
echo press CTRL-C if this is NOT correct,
echo otherwise,
pause

cls
echo.
echo Copying Microsoft files from %1 to %2
echo.

:makedirs
md %2\DOS
md %2\NDIS
md %2\NT
md %2\WFW
md %2\WIN95
md %2\WIN98
md %2\INFO

:copyfile
xcopy %1\8255XNDI.DL_ %2\ 
xcopy %1\IBMDISK  %2\ 
xcopy %1\NETIBMFE.INF %2\ 
xcopy %1\OEMSETUP.INF %2\ 
xcopy %1\IBMFESET.INF %2\ 
xcopy %1\README.BAT %2\ 
xcopy %1\README.TXT %2\ 
xcopy %1\SETUP.EXE %2\  
xcopy %1\NOVELL.LST %2\
xcopy %1\MICROSFT.LST %2\
xcopy %1\OTHER.LST %2\
xcopy %1\README.LST %2\
copy %1\DISKS\FILESMS.TXT %2\FILES.TXT 
xcopy %1\DOS\*.* %2\DOS\ 
xcopy %1\NDIS\*.* %2\NDIS\ /S /E /V 
xcopy %1\NT\*.* %2\NT\ 
xcopy %1\WFW\*.* %2\WFW\ 
xcopy %1\WIN95\*.* %2\WIN95\  /S /E /V
xcopy %1\WIN98\*.* %2\WIN98\  /S /E /V
xcopy %1\INFO\*.* %2\INFO\   /S /E /V
cls
goto END

:usage
echo %0 [source] [destination]
echo.
echo   where [source] is the drive letter with the colon and path of the source files (such as D:)
echo   and where [destination] is the drive letter with the colon (such as A:)
echo   [destination] is also expected to be formatted media.
echo. 
echo for example:
echo        %0 D: A:
pause
goto END

:END
