echo off
rem makedisk batch for NetWare files.
rem minimum requirements MSDOS 6.22 or NT 3.51 or Window95 or newer

rem Check that source (%1) and destination (%2) are supplied
if "%1" == "" goto USAGE
if "%2" == "" goto USAGE

rem Echo what we are about to do
echo This batch file will copy the NetWare files from %1 to %2
echo press CTRL-C if this is NOT correct,
echo otherwise,
pause

cls
echo.
echo Copying NetWare files from %1 to %2
echo.

:makedirs
md %2\DOS
md %2\NWSERVER
xcopy %1\NWSERVER\*.* %2\NWSERVER /S /E /V
md %2\OS2
md %2\INFO

:copyfile
xcopy %1\IBMDISK %2\
xcopy %1\EXAMPLES.TXT %2\
xcopy %1\README.BAT %2\
xcopy %1\README.TXT %2\
xcopy %1\SETUP.EXE %2\
xcopy %1\NOVELL.LST %2\
xcopy %1\MICROSFT.LST %2\
xcopy %1\OTHER.LST %2\
xcopy %1\README.LST %2\
copy %1\DISKS\FILESNW.TXT  %2\FILES.TXT
xcopy %1\DOS\*.* %2\DOS
xcopy %1\OS2\*.* %2\OS2
xcopy %1\INFO\*.* %2\INFO /S /E /V
goto END

:usage
echo %0 [source] [destination]
echo
echo   where [source] is the drive letter with the colon and path of the source files (such as D:)
echo   and where [destination] is the drive letter with the colon (such as A:)
echo   [destination] is also expected to be a formatted disk.
echo 
echo for example:
echo        %0 D: A:
goto END

:END
